﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace WpfModelViewApplication1.Converters
{
    public class NullValueConverter:IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int v = 0;
            bool b = int.TryParse(value.ToString(),out v);
            if (b==false)
                return 0;

            return v;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int v = 0;
            bool b = int.TryParse(value.ToString(), out v);
            if (b == false)
                return 0;

            return v;
        }

        #endregion
    }
}
